/*
 * (c) 2002 Ramil Koussiapkoulov <roma@mail.rb.ru> [ViDiSys], www.vidisys.de
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
//#include <sys/io.h>
#include <asm/io.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <sys/mman.h>
#include "pci.h"

#define TRUE  1
#define FALSE 0


int scanpci_for_Device(int *space,int Device_ID) 
{
  int Device_found = 0;
  FILE *fptr = fopen("/proc/bus/pci/devices","r");

  if(!fptr) {
    printf("can't open /proc/bus/pci/devices !\n");
    return(0);
  }

  char buf[256];

  while(NULL != fgets(buf,sizeof(buf),fptr)) {

    int pci_id;
    
    if(2 != sscanf(buf,"%*x%x%*x%x%*x%*x%*x%*x%*x%*x",
                   &pci_id,
                   space))
      continue;

    if(pci_id == Device_ID) {
      Device_found = TRUE;
      break;
    }
  }

  fclose(fptr);

  return Device_found;
}


